Chromium Code Reviews
Help | Chromium Project | Sign in
(1)

Issue 11368053: Implement IsIndependent(Isolate*) (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 5 months ago by haraken
Modified:
2 years, 5 months ago
Base URL:
git://github.com/v8/v8.git@master
Visibility:
Public.

Description

Implement IsIndependent(Isolate*) BUG= TEST=cctest/test-api/IndependentWeakHandle Committed: https://code.google.com/p/v8/source/detail?r=12852 Committed: https://code.google.com/p/v8/source/detail?r=12854

Patch Set 1 #

Total comments: 2

Patch Set 2 : Comments addressed #

Patch Set 3 : Comments addressed #

Patch Set 4 : A correct patch for IsIndependent(Isolate*) #

Unified diffs Side-by-side diffs Delta from patch set Stats (+22 lines, -0 lines) Patch
M include/v8.h View 3 3 chunks +11 lines, -0 lines 0 comments Download
M src/api.cc View 1 3 1 chunk +8 lines, -0 lines 0 comments Download
M test/cctest/test-api.cc View 3 1 chunk +3 lines, -0 lines 0 comments Download
Trybot results:
Commit: CQ not working?

Messages

Total messages: 4 (0 generated)
haraken
IsIndependent() is called once per DOM object during garbage collection. We want to make it ...
2 years, 5 months ago (2012-11-02 18:50:50 UTC) #1
Michael Starzinger
LGTM with one comment. I'll land this once the comment is addressed. https://codereview.chromium.org/11368053/diff/1/src/api.cc File src/api.cc ...
2 years, 5 months ago (2012-11-05 11:03:21 UTC) #2
haraken
Thanks! https://codereview.chromium.org/11368053/diff/1/src/api.cc File src/api.cc (right): https://codereview.chromium.org/11368053/diff/1/src/api.cc#newcode659 src/api.cc:659: bool V8::IsGlobalIndependent(i::Isolate* isolate, i::Object** obj) { On 2012/11/05 ...
2 years, 5 months ago (2012-11-05 11:57:45 UTC) #3
haraken
2 years, 5 months ago (2012-11-05 12:43:41 UTC) #4
Sorry I uploaded a correct patch for IsIndependent(Isolate*). Would you land it?
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 700cc9d